/******************************************************************************\
*                                                                              *
*       COORDENADAS         Ignacio  Merino  Lagunilla                         *
*                                                                              *
*       Funciones para definir las coordenadas de un punto en el mundo.        *
*                                                                              *
*       22/febrero/1995                                                        *
\******************************************************************************/

#ifndef _COORD_
#define _COORD_

class punto_car{
	private:
		float x;
		float y;
	public:
		inline punto_car(void) { }
		inline punto_car(float a , float b) { x = a; y = b; }
		inline ~punto_car(void) { }
		inline void fijar_punto(float a , float b) { x = a; y = b; }
		inline float di_x(void) { return(x); }
		inline float di_y(void) { return(y); }
};

class punto_pol{
	private:
		float dis;
		float ang;
	public:
		inline punto_pol(void) { }
		inline punto_pol(float a , float b) { dis = a; ang = b; }
		inline ~punto_pol(void) { }
		inline void fijar_punto(float a , float b) { dis = a; ang = b; }
		inline float di_dis(void) { return(dis); }
		inline float di_ang(void) { return(ang); }
};

#endif
