/******************************************************************************\
*                                                                              *
*       VENTANA             Ignacio  Merino  Lagunilla                         *
*                                                                              *
*       Funciones para crear una ventana donde mostrar informacin.            *
*                                                                              *
*       22/febrero/1995                                                        *
\******************************************************************************/

#ifndef _VENTANA_
#define _VENTANA_

#include <X11/Xlib.h>
#include <X11/Xutil.h>

class ventana_info{
	private:
		Display *display;
		Window window;
		GC gc;
		XEvent evento;
	public:
		inline ventana_info(void) { };
		inline ~ventana_info(void) { };
		void crear(void);
		void liberar(void);
		void comprobar_eventos(void);
		void redibujar(int borrar);
};

#endif
