OBJ_ROBOT_XLIB= ../robot/robot.o ../robot/crear.o ../robot/conectar.o ../robot/socket.o ../robot/sensor.o ../robot/decidir.o ../robot/ven-xlib.o ../robot/mensaje.o ../robot/rob_inf.o
OBJ_ROBOT_XT= ../robot/robot.o ../robot/crear.o ../robot/conectar.o ../robot/socket.o ../robot/sensor.o ../robot/decidir.o ../robot/ven-xt.o ../robot/mensaje.o ../robot/rob_inf.o
DEFS_ROBOT= ../robot/global.hpp ../robot/robot.hpp ../robot/ventana.hpp ../robot/sensor.hpp ../robot/coord.hpp ../robot/mensaje.hpp ../robot/rob_inf.hpp

ROBOT_XLIB: $(OBJ_ROBOT_XLIB)
	$(CC) $(OBJ_ROBOT_XLIB) -o $(ROBOT_EXE_XLIB) $(LIBS_XLIB)
	chmod 755 $(ROBOT_EXE_XLIB)

ROBOT_XT: $(OBJ_ROBOT_XT)
	$(CC) $(OBJ_ROBOT_XT) -o $(ROBOT_EXE_XT) $(LIBS_XT)
	chmod 755 $(ROBOT_EXE_XT)

../robot/robot.o: ../robot/robot.C $(DEFS)
	$(CC) -c ../robot/robot.C $(INCLUDES) -o ../robot/robot.o

../robot/crear.o: ../robot/crear.C $(DEFS)
	$(CC) -c ../robot/crear.C $(INCLUDES) -o ../robot/crear.o

../robot/conectar.o: ../robot/conectar.C $(DEFS)
	$(CC) -c ../robot/conectar.C $(INCLUDES) -o ../robot/conectar.o

../robot/socket.o: ../robot/socket.C $(DEFS)
	$(CC) -c ../robot/socket.C $(INCLUDES) -o ../robot/socket.o

../robot/sensor.o: ../robot/sensor.C $(DEFS)
	$(CC) -c ../robot/sensor.C $(INCLUDES) -o ../robot/sensor.o

../robot/ven-xlib.o: ../robot/ven-xlib.C $(DEFS)
	$(CC) -c ../robot/ven-xlib.C $(INCLUDES) -o ../robot/ven-xlib.o

../robot/ven-xt.o: ../robot/ven-xt.C $(DEFS)
	$(CC) -c ../robot/ven-xt.C $(INCLUDES) -o ../robot/ven-xt.o

../robot/decidir.o: ../robot/decidir.C $(DEFS)
	$(CC) -c ../robot/decidir.C $(INCLUDES) -o ../robot/decidir.o

../robot/mensaje.o: ../robot/mensaje.C $(DEFS)
	$(CC) -c ../robot/mensaje.C $(INCLUDES) -o ../robot/mensaje.o

../robot/rob_inf.o: ../robot/rob_inf.C $(DEFS)
	$(CC) -c ../robot/rob_inf.C $(INCLUDES) -o ../robot/rob_inf.o


