/******************************************************************************\
*                                                                              *
*       DATOS GLOBALES        (C) Ignacio  Merino  Lagunilla                   *
*                                                                              *
*       22/febrero/1995                                                        *
\******************************************************************************/

#ifndef _GLOBAL_
#define _GLOBAL_

#include <stdio.h>
#include "monitor.hpp"
#include "ventana.hpp"

#ifdef __hpux
#define SOCKET	(int *)
#else
#define SOCKET
#endif

#define FALSO				0
#define CIERTO				1
#define SDAI_PI			3.14159265
#define MAX_MSG			60
#define grados(ang)			(int)((ang)*180/SDAI_PI)
#define radianes(ang)		((ang)*SDAI_PI/180)

extern ventana_info 		*ventana;
extern char				servidor[50];
extern int				puerto_m;
extern int				maxx;
extern int				maxy;
extern int 				final;
extern int				acabar;
extern int 				fichero;
extern int				conectado;
extern char				msg_entra[MAX_MSG];
extern char				msg_sale[MAX_MSG];
extern FILE				*accion;
extern monitor				*mon;
extern char 				f_accion[50];

#endif
