/******************************************************************************\
*                                                                              *
*       DATOS GLOBALES        (C) Ignacio  Merino  Lagunilla                   *
*                                                                              *
*       22/febrero/1995                                                        *
\******************************************************************************/

#ifndef _GLOBAL_
#define _GLOBAL_

#include <stdio.h>
#include "figura.hpp"
#include "robot.hpp"
#include "monitor.hpp"
#include "ventana.hpp"
#include "mapa.hpp"
#include "socket.hpp"


#ifdef __hpux
#define SOCKET	(int *)
#else
#define SOCKET
#endif

#define FALSO			0
#define CIERTO			1
#define SDAI_PI		3.14159265
#define SDAI_PI2		6.2831853
#define PASO			0.25
#define MAX_MSG		60
#define grados(ang)		(int)((ang)*180/SDAI_PI)
#define radianes(ang)	((ang)*SDAI_PI/180)
#define angulo(ang)		(((ang)>=0) ? (((ang)>(SDAI_PI2)) ? ((ang)-(SDAI_PI2)) : (ang)) : ((ang)+(SDAI_PI2)))
#define COLOR_INV		32

extern robot 			*ini_r;
extern robot 			*fin_r;
extern monitor			*ini_m;
extern monitor			*fin_m;
extern figura			*figuras;
extern ventana_info 	*ventana;
extern mapa_mundo 		*mapa;
extern int			puerto_r;
extern int			puerto_m;
extern int 			final;
extern int			activo;
extern int			planox;
extern int			planoy;
extern char			msg_entra[MAX_MSG];
extern char			msg_sale[MAX_MSG];
extern int			fallo;
extern FILE			*accion;
extern int			fichero;
extern int			pasos_dibujo;
extern int			dib;
extern char			f_figcop[50];
extern char			f_mapcop[50];
extern char			f_robcop[50];
extern char			f_moncop[50];
extern char 			f_accion[50];
extern char 			f_fig[50];

#endif
